	intaudio
sr      =        32000
kr      =        100
ksmps   =        320
nchnls  =        2
;=========================================================================
gar     init     0
gad     init     0
gaf     init     0
;=========================================================================
; TURN ON GLOBAL INSTRUMENTS ---------------------------------------------
;=========================================================================
turnon  129             ; MONO REVERB
;turnon  131             ; EQ
;turnon  135             ; DELAY
;=========================================================================
; INITIALIZE DIRECT & EFFECT SEND/RETURN LEVELS --------------------------
;=========================================================================
giir    =        .2     ; INSTRUMENT REVERB RETURN
giid    =       1.7     ; INSTRUMENT DELAY RETURN
gidr    =        .25     ; DRUM REVERB RETURN
;=========================================================================
;=========================================================================
; LOAD DRUM WAVETABLES ---------------------------------------------------
;=========================================================================
imt2    ftload   "d0145ns.aif"                          ; MID TOM 2
imt1    ftload   "d0147ns.aif"                          ; MID TOM 1
iht2    ftload   "d0148ns.aif"                          ; HIGH TOM 2
irc     ftload   "d0151ns.aif"                          ; RIDE CYMBAL
imc     ftload   "d0170ns.aif"                          ; MARACAS
ihw     ftload   "d0176ns.aif"                          ; HI WOOD BLOCK
ilw     ftload   "d0177ns.aif"                          ; LO WOOD BLOCK
ibd     ftload   "d0136ns.aif"                          ; KICK DRUM
isd     ftload   "d0138ns.aif"                          ; SNARE DRUM
ich     ftload   "d0142ns.aif"                          ; CLOSED HAT
ioh     ftload   "d0146ns.aif"                          ; OPEN HAT
iss     ftload   "d0137ns.aif"                          ; SIDE STICK
itmb    ftload   "d0154ns.aif"                          ; TAMBOURINE
icb     ftload   "d0169ns.aif"                          ; CABASA
icc     ftload   "d0149ns.aif"                          ; CRASH CYMBAL
ilt1    ftload   "d0143ns.aif"                          ; LOW TOM 1
iht2    ftload   "d0148ns.aif"                          ; HIGH TOM 2
iht1    ftload   "d0150ns.aif"                          ; HIGH TOM 1

iapno2  ftload   "01d#4.aif"
iapno3  ftload   "01c#5.aif"
iapno4  ftload   "01f#5.aif"
iapno5  ftload   "01b5.aif"
iepno2  ftload   "06c5.aif"
ichim   ftload   "10c7.aif"
istgt1  ftload   "26d3.aif"
istgt2  ftload   "26b3.aif"
istgt3  ftload   "26a4.aif"
iebs1   ftload   "34d2.aif"
iebs2   ftload   "34c3.aif"
iviol1  ftload   "41c5.aif"
iviol2  ftload   "41c6.aif"
iviol3  ftload   "41g6.aif"
icel1   ftload   "43a#2.aif"
icel2   ftload   "43c#4.aif"
itrem1  ftload   "45g#5.aif"
itrem2  ftload   "45d#6.aif"
iharp1  ftload   "47a4.aif"
iharp2  ftload   "47g5.aif"
istrg1  ftload   "49g#3.aif"
istrg2  ftload   "49f#4.aif" 
istrg3  ftload   "49e5.aif" 
ifems1  ftload   "53c4.aif"
ifems2  ftload   "53a4.aif"
ifrhn1  ftload   "610a#3.aif"
ifrhn2  ftload   "610e4.aif"
ioboe1  ftload   "69g4.aif"
ioboe2  ftload   "69f5.aif"
ikira   ftload   "99c6.aif"
;=========================================================================
; SET DRUM FUNCTIONS -----------------------------------------------------
;=========================================================================
;-----------------|SPLIT|SMP |RVB S+R|PAN|LVL|-|SPLIT|SMP | RVB S+R|PAN|LVL|
isplit ftsplit 18,5,   0, ibd, 0*gidr, .5, 4500,   37, iss,1.5*gidr, .5, 7500, \
                      38, isd,.8*gidr, .5, 7800,   42, ich, .2*gidr,.34, 3800, \
                      43,ilt1, 0*gidr,.63,12000,   45,imt2,  0*gidr,.54,13000, \
                      46, ioh,.3*gidr,.34, 2200,   47,imt1,  0*gidr,.36,13000,  \
                      48,iht2, 0*gidr,.34,15000,   49, icc,  1*gidr,.66, 5600, \
                      50,iht1, 0*gidr,.44,15000,   51, irc,  1*gidr,.66, 3500, \
                      52, ioh, 1*gidr,.66, 2200,   54,itmb, .2*gidr,.42, 4300, \
                      69, icb,.1*gidr,.77, 2400,   70, imc, .1*gidr,.81, 2800, \
                      76, ihw,.2*gidr,.27, 5900,   77, ilw, .2*gidr,.27, 5900
        dpgminit 1.10, isplit
        dpexclus 1.10, 42, 46
;=========================================================================
; SET KEYBOARD SPLITS ----------------------------------------------------
;=========================================================================
; ACOUSTIC PIANO ---------------------------------------------------------
i01split ftsplit 4,6,  0, iapno2,   311.13,  ftlptim(iapno2), .7, .2,   \
                      69, iapno3,   554.37,  ftlptim(iapno3), .8, .25,  \
                      77, iapno4,   739.99,  ftlptim(iapno4), .8, .25,  \
                      82, iapno5,   987.77,  ftlptim(iapno5), .8, .25
; ELECTRIC PIANO ---------------------------------------------------------
;i06split ftsplit 2,6,  0, iepno1,   261.63,  ftlptim(iepno1), .3, .07,  \
;                      67, iepno2,   523.25,  ftlptim(iepno2), .3, .07
; ACOUSTIC GUITAR --------------------------------------------------------
i26split ftsplit 3,6,  0, istgt1,    146.83,  ftlptim(istgt1), .3, .1,  \
                      55, istgt2,    246.94,  ftlptim(istgt2), .3, .1,  \
                      64, istgt3,    440.00,  ftlptim(istgt3), .3, .1
; ELECTRIC BASS ----------------------------------------------------------
i34split ftsplit 2,6,  0, iebs1,     73.416,  ftlptim(iebs1),  .5, .07, \
                      43, iebs2,    130.810,  ftlptim(iebs2),  .5, .07
; VIOLIN -----------------------------------------------------------------
i41split ftsplit 3,6,  0, iviol1,   523.25,   ftlptim(iviol1), .9, .1,  \
                      79, iviol2,  1046.50,   ftlptim(iviol2), .9, .1,  \
                      87, iviol3,  1568.00,   ftlptim(iviol3), .9, .1
; CELLO ------------------------------------------------------------------
i43split ftsplit 2,6,  0, icel1,    116.54,   ftlptim(icel1),  .9, .07, \
                      54, icel2,    277.18,   ftlptim(icel2),  .9, .07
; TREMOLO STRINGS --------------------------------------------------------
i45split ftsplit 2,6,  0, itrem1,   830.61,   ftlptim(itrem1), .9, .2,  \
                      84, itrem2,  1244.50,   ftlptim(itrem2), .9, .2
; HARP -------------------------------------------------------------------
i47split ftsplit 2,6,  0, iharp1,   440.00,   ftlptim(iharp1), .4, .12, \
                      74, iharp2,   783.99,   ftlptim(iharp2), .4, .12
; STRINGS ----------------------------------------------------------------
i49split ftsplit 3,6,  0, istrg1,   207.65,   ftlptim(istrg1), .9, .19, \
                      61, istrg2,   369.99,   ftlptim(istrg2), .9, .19, \
                      71, istrg3,   659.26,   ftlptim(istrg3), .9, .19
; FEMALE VOICES ----------------------------------------------------------
i53split ftsplit 2,6,  0, ifems1,   261.61,   ftlptim(ifems1), .6, .03,  \
                      62, ifems2,   440.00,   ftlptim(ifems2), .6, .03
; FRENCH HORN ------------------------------------------------------------
i61split ftsplit 2,6,  0, ifrhn1,   233.08,   ftlptim(ifrhn1), .5, .18,  \
                      61, ifrhn2,   329.63,   ftlptim(ifrhn2), .5, .18
; OBOE -------------------------------------------------------------------
i69split ftsplit 2,6,  0, ioboe1,   392.00,   ftlptim(ioboe1), .9, .1,  \
                      69, ioboe2,   698.46,   ftlptim(ioboe2), .9, .1
;=========================================================================
; SCALE EFFECTS AND PAN --------------------------------------------------
;=========================================================================
;----------------v1--------v2-------v3-----v4---v5------v6------|-v7--------v8----------v9---v10-|
;-------| # |----------|RVBS|RVBR|-|PAN|-|CHO|-|EQ|-|DELS|DELR|-| Hz |--|LOOP START|---|DEC|-|REL|
 pgminit  1,  i01split,.344 * giir, .26,    0,  0, .031 * giid, 7200
 pgminit  6,  iepno2,  .305 * giir, .5,  .073,  0, .031 * giid, 523.2, ftlptim(iepno2), .3, .07, 5900
 pgminit  10, ichim,   .305 * giir, .5,     0,  0, .383 * giid, 2093,  ftlptim(ichim),  .3, .6, 2200
 pgminit  26, i26split,.366 * giir, .77,    0,  0, .031 * giid, 4000
 pgminit  34.02, i34split,.031 * giir, .5,     0, .4,    0 * giid, 8200
 pgminit  34, i34split,.031 * giir, .5,     0, .4,    0 * giid, 8200
 pgminit  41, i41split,.340 * giir, .61,    0,  0, .031 * giid, 2900
 pgminit  43, i43split,.381 * giir, .26,    0,  0, .031 * giid, 3100
 pgminit  45, i45split,.263 * giir, .58,    0,  0,    0 * giid, 8400
 pgminit  47, i47split,.407 * giir, .15,    0,  0, .209 * giid, 7700
 pgminit  49, i49split,.442 * giir, .61,    0, .5, .081 * giid, 8100
 pgminit  53, i53split,.188 * giir, .5,     0,  0, .031 * giid,10400
 pgminit  61, i61split,.226 * giir, .5,     0,  0, .023 * giid,14000
 pgminit  69, i69split,.107 * giir, .5,     0,  0,    0 * giid, 5900
 pgminit  99, ikira,   .307 * giir, .46,    0,  0, .031 * giid, 1046.5,ftlptim(ikira),  .3, 1.3, 7000

;=========================================================================
; SIMPLE INSTRUMENTS WITHOUT PITCH BEND ----------------------------------
;=========================================================================
        instr    1, 2, 3
        vprogs   6, 10, 99
ivel    veloc    0, v11
icps    cpsmidi
kgate   dexponr  ivel, v8, v9, v10
a1      loscil1  kgate, icps, v1, v7
        panouts  a1, v3
gar,gad      maddin  a1, v2, v6
;gar     addin  a1, v2
        endin
;=========================================================================
; MULTI INSTRUMENTS WITH PITCH BEND --------------------------------------
;=========================================================================
        instr    4, 5
        vprogs   61
ivel    veloc    0, v7
kcpsb   cpsmidib 12
ift, ibsfreq, idel, idec, irel \
        mtsplit  v1
kenv    dexponr  ivel, idel, idec, irel
a1      loscil1  kenv, kcpsb, ift, ibsfreq
        panouts  a1, v3
gar,gad maddin   a1, v2, v6
;gar     addin   a1, v2
        endin
;=========================================================================
; MULTI INSTRUMENTS WITHOUT PITCH BEND -----------------------------------
;=========================================================================
        instr    6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16
        vprogs   1, 26, 41, 43, 45, 47, 53, 69
ivel    veloc    0, v7
icps    cpsmidi
ift, ibsfreq, idel, idec, irel \
        mtsplit  v1
kenv    dexponr  ivel, idel, idec, irel
a1      loscil1  kenv, icps, ift, ibsfreq
        panouts  a1, v3
gar,gad maddin   a1, v2, v6
;gar     addin   a1, v2
        endin
;=========================================================================
; MULTI INSTRUMENTS WITHOUT PITCH BEND -----------------------------------
;=========================================================================
        instr    17, 18, 19
        vprogs   49
ivel    veloc    0, v7
icps    cpsmidi
ift, ibsfreq, idel, idec, irel \
        mtsplit  v1
kenv    dexponr  ivel, idel, idec, irel
a1      loscil1  kenv, icps, ift, ibsfreq
        panouts  a1, v3
gar,gad,gaf maddin   a1, v2, v6, v5
        endin
;=========================================================================
; BASS INSTRUMENT --------------------------------------------------------
;=========================================================================
        instr    20
        vprogs   34
ivel    veloc    0, v7
icps    cpsmidi
ift, ibsfreq, idel, idec, irel \
        mtsplit  v1
kenv    dexponr  ivel, idel, idec, irel
a1      loscil1  kenv, icps, ift, ibsfreq
        panouts  a1, v3
gaf,gar maddin   a1, v5, v2
        endin
;=========================================================================
; DRUMKIT INSTRUMENT -----------------------------------------------------
;=========================================================================
        instr    21
        dvprogs  1
inn     notnum
ift, irvb, ipan, ilvl  \
        mtsplit  v1
ivel    veloc    0, ilvl
a1      doscil   ivel, ift
        panouts  a1, ipan
  if    inn = 36 kgoto  bassboost
gar   addin    a1, irvb
        kgoto    end
  bassboost:
gaf    addin    a1, 1
  end:
        endin
;=========================================================================
; GLOBAL REVERB INSTRUMENT -----------------------------------------------
;=========================================================================
        instr    129
irvbtim =        4
ihiroll =        0.6
arvb    reverb2  gar, irvbtim, ihiroll
        outs12   arvb
gar   =        0
        endin
;=========================================================================
; GLOBAL EQ INSTRUMENT ---------------------------------------------------
;=========================================================================
        instr    131
ilocut  =        200
iboost  =        3.5
aflt    butterlp gaf, ilocut
aeq     =        aflt * iboost
        outs12   aeq
gaf    =        0
        endin
;=========================================================================
; GLOBAL SIMPLE DELAY WITH FEEDBACK INSTRUMENT ---------------------------
;=========================================================================
        instr    135
ikrvt   =        3      ; Loop Time (i.e. amount of Feedback)
iloopc  =        .34    ; Center Delay Time (in seconds)
asigc   comb     gad, ikrvt, iloopc, 0
        outs12   asigc
gad   =        0
        endin
;=========================================================================
;=========================================================================
