;=========================================================================
; SET SAMPLE/CONTROL RATES & NUMBER OF CHANNELS --------------------------
;=========================================================================
sr      =        32000
kr      =        100
ksmps   =        320
nchnls  =        2
;=========================================================================
; INITIALIZE GLOBAL SENDS ------------------------------------------------
;=========================================================================
gaf     init     0
gar     init     0
gac     init     0
;=========================================================================
; TURN ON GLOBAL INSTRUMENTS ---------------------------------------------
;=========================================================================
turnon  128             ; MIKE
turnon  130             ; CHORUS
turnon  131             ; EQ
turnon  133             ; STEREO REVERB
;=========================================================================
; INITIALIZE DIRECT & EFFECT SEND/RETURN LEVELS --------------------------
;=========================================================================
gimg    =        .1     ; MIC DIRECT SIGNAL
gimr    =        .1     ; MIC REVERB SEND
;=========================================================================
; LOAD INSTRUMENT WAVETABLES ---------------------------------------------
;=========================================================================
givcurv  ftgen   2, 0, 16,    5, 5, 16, 50   ; exponential for velocity
gifcurv  ftgen   3, 0, 16,    5, 3, 16, 60   ; exponential for filter
gisin   ftgen    0, 0, 4096, 10, 1
ijzgt1  ftgen    2.1, 0, 0, 1, "27G3.aif", 0, 0, 0
ijzgt2  ftgen    3.1, 0, 0, 1, "27E4.aif", 0, 0, 0
ijzgt3  ftgen    4.1, 0, 0, 1, "27D5.aif", 0, 0, 0
iebs1   ftload   "34D2.aif"
iebs2   ftload   "34C3.aif"
iapno1   ftload  "01F3.aif"
iapno2   ftload  "01D#4.aif"
iapno3   ftload  "01C#5.aif"
iapno4   ftload  "01F#5.aif"
iapno5   ftload  "01B5.aif"
iepno1   ftload  "06C4.aif"
iepno2   ftload  "06C5.aif"
ivib1    ftload  "12A4.aif"
ivib2    ftload  "12A5.aif"
;=========================================================================
; SET KEYBOARD SPLITS ----------------------------------------------------
;=========================================================================
i01split ftsplit 5,6,  0, iapno1,  174.6,  ftlptim(iapno1), .6, .2,    \
                      58, iapno2,  311.1,  ftlptim(iapno2), .7, .2,    \
                      69, iapno3,  554.4,  ftlptim(iapno3), .8, .25,   \
                      77, iapno4,  740,    ftlptim(iapno4), .8, .25,   \
                      82, iapno5,  987.8,  ftlptim(iapno5), .8, .25
i06split ftsplit 2,6,  0, iepno1,  261.6,  ftlptim(iepno1), .3, .1,    \
                      67, iepno2,  523.2,  ftlptim(iepno2), .3, .1
i12split ftsplit 2,6,  0, ivib1,   440,    ftlptim(ivib1),  .5, .3,    \
                      78, ivib2,   880,    ftlptim(ivib2),  .4, .3
i27split ftsplit 3,6,  0, ijzgt1,  196.00, ftlptim(ijzgt1), .4, .1,    \
                      60, ijzgt2,  329.63, ftlptim(ijzgt2), .3, .1,    \
                      69, ijzgt3,  587.33, ftlptim(ijzgt3), .2, .1
                                                        ;  pan - rev
i34split ftsplit 6,6,  0, iebs1,    73.42, ftlptim(iebs1),  .2,  0,    \
                      43, iebs2,   130.81, ftlptim(iebs2),  .2,  0,    \
                      52, iapno2,  311.1,  ftlptim(iapno2), .8, .07,    \
                      69, iapno3,  554.4,  ftlptim(iapno3), .8, .07,    \
                      77, iapno4,  740,    ftlptim(iapno4), .8, .07,    \
                      82, iapno5,  987.8,  ftlptim(iapno5), .8, .07
i35split ftsplit 4,6,  0, iebs1,    73.42, ftlptim(iebs1),  .8,  0,    \
                      43, iebs2,   130.81, ftlptim(iebs2),  .8,  0,    \
                      52, iepno1,  261.6,  ftlptim(iepno1), .2, .1,    \
                      67, iepno2,  523.2,  ftlptim(iepno2), .2, .1
;=========================================================================
; SCALE EFFECTS AND PAN --------------------------------------------------
;=========================================================================
; MULTIS --------v1------v2----v3--v4-----v5-
;-------| # |-----------|RVB|-|PAN|CHOR|-|EQ|
 pgminit  1,  i01split,  .1,  .4,   0, 8800
 pgminit  2,  i06split,  .1,  .7,   1, 4800
 pgminit  3,  i12split,  .1,  .3,   1, 5000
 pgminit  4,  i27split,  .1,  .8,   1, 4500
 pgminit  5,  i34split,  .7,  .1,  .1,   .5, 8000
 pgminit  6,  i35split,  .7,  .1,   1,   .5, 8000
;=========================================================================
; MULTI-SAMPLE INSTRUMENT W/O EQ -----------------------------------------
;=========================================================================
        instr    1, 2
        vprogs   1, 2, 3, 4
ivel    veloc    0, v5
icps    cpsmidi
ift, ibsfreq, idel, idec, irel \
        mtsplit  v1
kenv    dexponr  ivel, idel, idec, irel
ga1     loscil1  kenv, icps, ift, ibsfreq
        panouts  ga1, v3
gar,gac maddin   ga1, v2, v4
        endin
;=========================================================================
; MULTI-SAMPLE INSTRUMENT WITH EQ  ---------------------------------------
;=========================================================================
        instr    3
        vprogs   5, 6
ivel    veloc    0, v6
icps    cpsmidi
ift, ibsfreq, idel, ipan, irev \
        mtsplit  v1
kenv    dexponr  ivel, idel, v2, v3
ga1     loscil1  kenv, icps, ift, ibsfreq
        panouts  ga1, ipan
gar,gac,gaf maddin ga1, irev, v4, v5
        endin
;=========================================================================
; MICROPHONE INSTRUMENT --------------------------------------------------
;=========================================================================
        instr    128
ga1,ai2 ins
        outs12   ga1 * gimg
gar     addin    ga1,  gimr
        endin
;=========================================================================
; GLOBAL STEREO CHORUS INSTRUMENT ----------------------------------------
;=========================================================================
        instr    130
ga1,ga2 chorus2  gac, .191,.217,.233, .425,.001,.003, .005,.007, 0, 1, 0, gisin
        outs     ga1, ga2
gac   =        0
        endin
;=========================================================================
; GLOBAL EQ INSTRUMENT ---------------------------------------------------
;=========================================================================
        instr    131
aflt    butterlp gaf, 400
ga1     =        aflt * 3
        outs12   ga1
gaf    =        0
        endin
;=========================================================================
; GLOBAL STEREO REVERB INSTRUMENT ----------------------------------------
;=========================================================================
        instr    133
ga1   reverb2  gar, 1.4, .02
ga2   reverb   gar, 1.4
        outs     ga1, ga2
gar   =        0
        endin
;=========================================================================
;=========================================================================
