sr =  32000		; sample rate
kr = 200		; control rate
ksmps = 160		; sr/kr
nchnls =  2		; channels

	gisin 		ftgen 1, 0, 8192, 10, 1			; sine wave for vibrato
	givcurv  	ftgen 2, 0, 16, 5, 5, 16, 50		; exponential for velocity
	gifcurv  	ftgen   3, 0, 16, 5, 3, 16, 60		; exponential for filter
	ichim 		ftload  "10C7.aif"			; load wavetables
	isaw  		ftload  "82D5.aif"
	ikira 		ftload  "99C6.aif"
	iflt2 		ftload  "74D5.aif"
			pgminit 1,ichim,ftlptim(ichim),isaw,ikira,ftlptim(ikira),iflt2
			pgminit 2, gisin			; set program data
			pctrlinit 1, 1, 80, 2, 60, 3, 30, 4, 80	; set controllers for
			pctrlinit 2, 1, 60, 2, 95, 3, 40, 4, 50	;     each program


instr 1							; SAMPLED INSTRUMENT
			vprogs     1
			maxalloc  9
	kdpth 		midictrl    7, .03, 0			; get vibrato depth
	kvib 		oscil        kdpth, 4, gisin		; LFO
	kn 		cpsmidib				; get note with bend
	ivel 		ampmidi  6000, givcurv		; get velocity curve
	iflt 		ampmidi  6000, gifcurv		; get filter curve
	kcpsb   	= kn + (kn * kvib)			; add LFO to note
	k1v 		dexponr  ivel, v2, .3, .3		; envelope 1
	k2v 		dexponr  ivel, v5, .3, .4		; envelope 2
	k3v  		linenr      ivel, .3, .1			; envelope 3
	k4v 		linen       ivel, .05, .2, .05		; envelope 4
	a1 		loscil1    k1v, kcpsb, v1, 2093	; sample oscillator 1
	a2 		loscil1    k2v, kcpsb, v4, 1046.5	; sample oscillator 2
	a3 		loscil1    k3v, kcpsb, v3, 587.3	; sample oscillator 3
	a4 		loscil1    k4v, kcpsb, v6, 587.3	; sample oscillator 4
	k1 		midictrl  1, 0, 1			; sample 1 level
	k2 		midictrl  2, 0, 1			; sample 2 level
	k3 		midictrl  3, 0, 1			; sample 3 level
	k4 		midictrl  4, 0, 1			; sample 4 level
			all = (a1*k1) + (a2*k2) + (a3*k3) + (a4*k4) 	; adjust layers
	asig 		butterlp  all, iflt			; low-pass filter
			outs12   asig				; outputs
endin



instr 2								; SYNTH INSTRUMENT
			vprogs  2
	kdpth 		midictrl 7, .03, 0			; get vibrato depth
	kvib 		oscil       kdpth, 4, v1			; LFO
	kswsh 		oscil       40, .15, v1			; swoosh
	kpan  		oscil       .2, .5, v1			; pan
	kn 		cpsmidib				; get note with bend
	inot 		cpsmidib				; get note with bend
	ivel 		ampmidi  6000, givcurv		; get velocity curve
	ivel2 		ampmidi  16000, givcurv		; get velocity curve
	kcpsb  		 =  kn + (kn * kvib)			; add LFO to note
	k1v  		linenr ivel, 1.6, 1.9			; envelope 1
	k2v 		linenr ivel2,1.4, 2.2			; envelope 2
	k3v 		linenr ivel, .01, .2			; envelope 3
	k4v 		linsegr 0, .1, ivel, 3, ivel*.3,.2,.6	; envelope 4a
	k4ndx 		linsegr  0, .1, .1, 1, .3, .3, .5		; envelope 4b
	kswp		 linsegr 200, 5, 13000, .2, 400		; envelope 4c
	k1 		midictrl 1, 0, 1				; oscillator 1 level
	k2 		midictrl 2, 0, 1				; oscillator 2 level
	k3 		midictrl 3, 0, 2				; oscillator 3 level
	k4 		midictrl 4, 0, 1				; oscillator 4 level

	a1 		foscil k1v*k1,kcpsb*.5,9,2,k4ndx,gisin  ; oscillator 1
	a2p 		rand       k2v				  ; oscillator 2
	a2 		butterbp a2p, inot * 4, kswsh + 80	  ;        filter 2
	a3 		pluck     k3v, kn, inot, 0, 1		  ; oscillator 3
	a4p 		poscil     k4v, kcpsb, k4ndx		  ; oscillator 4
	a4 		butterlp  a4p, kswp			  ;        filter 4

			all  = a1 + (a2*k2) + (a3*k3) + (a4*k4) ; adjust layers
			panouts  all, kpan + .4			   ; outputs
endin

