import CsoundAPI
from time import sleep

orchestra = """					; begin an orchestra string within triple quotes
	sr = 32000					; the audio signal sampling rate
	kr = 1000					; the control signal rate
	ksmps = 32					; the number of audio samples in a control period
gisine	ftgen	0, 0, 1024, 10, 1	; draw a sine wave in 1024 words using Gen 10

	instr	1					; define instrument number 1
a1	oscil	8000, 440, gisine	; make a continuous sine wave, amp 8000, freq 440 Hz
	out	a1						; send this sine wave a1 to the audio output device
	endin

 	instr	2					; define a second instrument
a1	oscil	8000, 550, gisine	; as above, but at frequency 550 Hz
	out	a1
	endin
 """							# terminate the orchestra string
 
score = """					; now begin a score string (of what to play and when)
i1  0  3					; play instrument 1 at time 0 for 3 seconds
i2  5  3					; play instrument 2 at time 5 for 3 seconds
e							; end of the score
"""							# terminate the score string

address = "localhost"
port = 7000					# define some parameters
							# create a connection socket, and call it csound
csound = CsoundAPI.CsoundAPI(address, port, is_gtk=False)
csound.newInstance()		# allocate a Csound instance at the end of this socket

csound.sendOrcStr(orchestra)	# send our orchestra string to this new instance
csound.sendScoStr(score)		# also send it our score string

csound.sendPrep()			# tell the instance to load both and get ready to play
csound.sendPlay()			# tell the instance to start playing
sleep(10)					# take a rest while the instance is performing
csound.close()				# and we are done
