import CsoundAPI
from time import sleep

orchestra = """
sr		=		44100
kr		=		441
ksmps	=		100
nchnls	=		2

		massign 1, 1
		massign 2, 2

garev	init	0

itmp    ftgen   1, 0, 16384, 10, 1, 0, 1/3, 0, 1/5, 0, 1/7, 0, 1/9, 0, 1/11

itmp    ftgen   2, 0, 16384, 10, 1/1, 1/2, 1/3, 1/4, 1/5, 1/6, 1/7, 1/8,\
                                1/9, 1/10, 1/11, 1/12, 1/13, 1/14, 1/15, 1/16
		turnon	25

		instr   1       ; right hand
iamp	ampmidi 5000
icps	cpsmidi
kenv	linenr  iamp, 0.05, 0.05, 0.05
a1		oscil   kenv, icps+0.002, 1
a2		oscil   kenv, icps-0.002, 1
aout	=		a1 + a2
garev	fxsend  aout, .2
		outs2   aout
		endin

		instr   2       ; left hand
iamp	ampmidi 8000
icps	cpsmidi
kenv	linenr  iamp, 0.05, 0.05, 0.05
a1		oscil   kenv, icps+0.002, 2
a2		oscil   kenv, icps-0.002, 2
aout	=		a1 + a2
garev	fxsend  aout, .2
		outs1   aout
		endin

		instr   25
aout    reverb2 garev, 0.5, 0.5
		outs12  aout
garev	=       0
		endin
"""

nullscore = """
f0 120
e
"""

IPadrs1 = "localhost"
IPadrs2 = "18.85.46.192"    		#the ip address of the remote machine
port = 7000
							# create a connection socket
cs1 = CsoundAPI.CsoundAPI(IPadrs1, port, is_gtk=False)
cs1.newInstance()			# allocate a Csound instance at the end of this socket
cs1.sendOrcStr(orchestra)
cs1.setMidiNam("X\inv12.mid")

cs2 = CsoundAPI.CsoundAPI(IPadrs2, port, is_gtk=False)
cs2.newInstance()			# allocate a Csound instance at the end of this socket
cs2.sendOrcStr(orchestra)
cs2.sendScoStr(nullscore)

cs1.setMidiRemote(2, IPadrs2 , 1)	# send chanl 2 events to cs2
cs2.sendSVOpen()					# make sure cs2 is listening

cs1.setIOBufFrames(1024)
cs2.setIOBufFrames(1024)

cs2.sendPrep()				# tell cs2 to load both and get ready to play
cs2.sendPlay()				# tell cs2 to start playing
cs1.sendPrep()				# tell cs1 to load both and get ready to play
cs1.sendPlay()				# tell cs1 to start playing

cs1.waitonEnd()
sleep(80)					# take a rest while the instance is performing


sleep(5)
cs1.close()					# and we are done