import CsoundAPI
from time import sleep

orch1 = """
	sr = 32000
	kr = 1000 
	ksmps = 32
	nchnls = 1

gisin1	ftgen	0, 0, 1024, 10, 1
gisin3	ftgen	0, 0, 1024, 10, 3, 2, 1

	instr	1
k1	linen	p4, .02, p3, .04
k2	lfo	.2, gisin1, 6
a1	oscil	k1, cpspch(p5)+k2*20, gisin3
	out	a1
	endin
"""

orch2 = """
	sr = 16000
	kr = 1000 
	ksmps = 16
	nchnls = 1

gisin1	ftgen	0, 0, 1024, 10, 1
gisin7	ftgen	0, 0, 1024, 10, 7, 6, 5, 4, 3, 2, 1

	instr	1
k1	linen	p4, .02, p3, .04
k2	lfo	.2, gisin1, 6
a1	oscil	k1, cpspch(p5)+k2*20, gisin7
	out	a1
	endin
"""

score = """
t 0 120
i1 0  1   8000  8.00
i1 +  1   8000  8.00
i1 +  .67 8000  8.00
i1 +  .33 8000  8.02
i1 +  .5  8000  8.04
i1 4  .67 8000  8.04
i1 +  .33 8000  8.02
i1 +  .67 8000  8.04
i1 +  .33 8000  8.05
i1 + 1.5  8000  8.07
i1 8  .33 8000  9.00
i1 +
i1 +
i1 +  .     .        8.07
i1 +
i1 +
i1 +  .     .       8.04
i1 +
i1 +
i1 + .     .        8.00
i1 +
i1 +
i1 +  .67  .     8.07
i1 +  .33  .     8.05
i1 +  .67  .     8.04
i1 +  .33  .     8.02
i1 + 1.5  .      8.00
e
"""

address = "localhost"
port = 7000

cs1 = CsoundAPI.CsoundAPI(address, port, is_gtk=False)
cs1.newInstance()

cs2 = CsoundAPI.CsoundAPI(address, port, is_gtk=False)
cs2.newInstance()

cs1.sendOrcStr(orch1)
cs2.sendOrcStr(orch2)

cs1.sendScoStr(score)	#same score for both
cs2.sendScoStr(score)

cs1.setMsgLevel(63)
cs2.setMsgLevel(63)

cs1.setIOBufFrames(1024)
#cs2.setIOBufFrames(1024)

#cs1.setInsRemote(3, "15.185.1.1", 1)

# load each orch and score in Csound
cs1.sendPrep()
sleep(1)
cs2.sendPrep()
sleep(1)

# play each orchestra 2 seconds apart
print "play 1a"
cs1.sendPlay()
print "play 1b"

sleep(2)
print "play 2a"
cs2.sendPlay()
print "play 2b"

sleep(6)
cs1.sendRewind()
cs1.sendPlay()

sleep(2)
cs2.sendRewind()
cs2.sendPlay()

sleep(10)

cs1.close()
sleep(2)
cs2.close()

